AuthServiceResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AuthServiceResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AuthServiceResourceApi

-     public class AuthServiceResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthServiceResourceApi()`
    `AuthServiceResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autoAssignRoles()` Automatically assign roles to hosts and create the roles for the Authentication Service.
    `com.squareup.okhttp.Call` | `autoAssignRolesAsync(ApiCallback<Void> callback)` Automatically assign roles to hosts and create the roles for the Authentication Service.
    `com.squareup.okhttp.Call` | `autoAssignRolesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoAssignRoles
    `ApiResponse<Void>` | `autoAssignRolesWithHttpInfo()` Automatically assign roles to hosts and create the roles for the Authentication Service.
    `void` | `autoConfigure()` Automatically configures roles of the Authentication Service.
    `com.squareup.okhttp.Call` | `autoConfigureAsync(ApiCallback<Void> callback)` Automatically configures roles of the Authentication Service.
    `com.squareup.okhttp.Call` | `autoConfigureCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoConfigure
    `ApiResponse<Void>` | `autoConfigureWithHttpInfo()` Automatically configures roles of the Authentication Service.
    `ApiService` | `delete()` Delete the Authentication Service.
    `com.squareup.okhttp.Call` | `deleteAsync(ApiCallback<ApiService> callback)` Delete the Authentication Service.
    `com.squareup.okhttp.Call` | `deleteCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for delete
    `ApiResponse<ApiService>` | `deleteWithHttpInfo()` Delete the Authentication Service.
    `ApiCommand` | `enterMaintenanceMode()` Put the Authentication Service into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeAsync(ApiCallback<ApiCommand> callback)` Put the Authentication Service into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo()` Put the Authentication Service into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode()` Take the Authentication Service out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeAsync(ApiCallback<ApiCommand> callback)` Take the Authentication Service out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo()` Take the Authentication Service out of maintenance mode.
    `ApiClient` | `getApiClient()`
    `ApiCommandList` | `listActiveCommands(String view)` List active Authentication Service commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsAsync(String view, ApiCallback<ApiCommandList> callback)` List active Authentication Service commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String view)` List active Authentication Service commands.
    `ApiRoleTypeList` | `listRoleTypes()` List the supported role types for the Authentication Service.
    `com.squareup.okhttp.Call` | `listRoleTypesAsync(ApiCallback<ApiRoleTypeList> callback)` List the supported role types for the Authentication Service.
    `com.squareup.okhttp.Call` | `listRoleTypesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listRoleTypes
    `ApiResponse<ApiRoleTypeList>` | `listRoleTypesWithHttpInfo()` List the supported role types for the Authentication Service.
    `ApiService` | `readService()` Retrieve information about the Authentication Services.
    `com.squareup.okhttp.Call` | `readServiceAsync(ApiCallback<ApiService> callback)` Retrieve information about the Authentication Services.
    `com.squareup.okhttp.Call` | `readServiceCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readService
    `ApiServiceConfig` | `readServiceConfig(String view)`
    `com.squareup.okhttp.Call` | `readServiceConfigAsync(String view, ApiCallback<ApiServiceConfig> callback)` (asynchronously)
    `com.squareup.okhttp.Call` | `readServiceConfigCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readServiceConfig
    `ApiResponse<ApiServiceConfig>` | `readServiceConfigWithHttpInfo(String view)`
    `ApiResponse<ApiService>` | `readServiceWithHttpInfo()` Retrieve information about the Authentication Services.
    `ApiCommand` | `restartCommand()` Restart the Authentication Service.
    `com.squareup.okhttp.Call` | `restartCommandAsync(ApiCallback<ApiCommand> callback)` Restart the Authentication Service.
    `com.squareup.okhttp.Call` | `restartCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiCommand>` | `restartCommandWithHttpInfo()` Restart the Authentication Service.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiService` | `setup(ApiService body)` Setup the Authentication Service.
    `com.squareup.okhttp.Call` | `setupAsync(ApiService body, ApiCallback<ApiService> callback)` Setup the Authentication Service.
    `com.squareup.okhttp.Call` | `setupCall(ApiService body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for setup
    `ApiResponse<ApiService>` | `setupWithHttpInfo(ApiService body)` Setup the Authentication Service.
    `ApiCommand` | `startCommand()` Start the Authentication Service.
    `com.squareup.okhttp.Call` | `startCommandAsync(ApiCallback<ApiCommand> callback)` Start the Authentication Service.
    `com.squareup.okhttp.Call` | `startCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiCommand>` | `startCommandWithHttpInfo()` Start the Authentication Service.
    `ApiCommand` | `stopCommand()` Stop the Authentication Service.
    `com.squareup.okhttp.Call` | `stopCommandAsync(ApiCallback<ApiCommand> callback)` Stop the Authentication Service.
    `com.squareup.okhttp.Call` | `stopCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiCommand>` | `stopCommandWithHttpInfo()` Stop the Authentication Service.
    `ApiServiceConfig` | `updateServiceConfig(String message, ApiServiceConfig body)`
    `com.squareup.okhttp.Call` | `updateServiceConfigAsync(String message, ApiServiceConfig body, ApiCallback<ApiServiceConfig> callback)` (asynchronously)
    `com.squareup.okhttp.Call` | `updateServiceConfigCall(String message, ApiServiceConfig body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateServiceConfig
    `ApiResponse<ApiServiceConfig>` | `updateServiceConfigWithHttpInfo(String message, ApiServiceConfig body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthServiceResourceApi

          public AuthServiceResourceApi()

    - #### AuthServiceResourceApi

          public AuthServiceResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### autoAssignRolesCall

          public com.squareup.okhttp.Call autoAssignRolesCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for autoAssignRoles
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoAssignRoles

          public void autoAssignRoles()
                               throws ApiException

      Automatically assign roles to hosts and create the roles for the Authentication Service. Automatically assign roles to hosts and create the roles for the Authentication Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesWithHttpInfo

          public ApiResponse<Void> autoAssignRolesWithHttpInfo()
                                                        throws ApiException

      Automatically assign roles to hosts and create the roles for the Authentication Service. Automatically assign roles to hosts and create the roles for the Authentication Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesAsync

          public com.squareup.okhttp.Call autoAssignRolesAsync(ApiCallback<Void> callback)
                                                        throws ApiException

      Automatically assign roles to hosts and create the roles for the Authentication Service. (asynchronously) Automatically assign roles to hosts and create the roles for the Authentication Service. <p> Assignments are done based on number of hosts in the deployment and hardware specifications. If no hosts are part of the deployment, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. The deployment should not have any clusters when calling this endpoint. If it does, an exception will be thrown preventing any role assignments.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### autoConfigureCall

          public com.squareup.okhttp.Call autoConfigureCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for autoConfigure
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoConfigure

          public void autoConfigure()
                             throws ApiException

      Automatically configures roles of the Authentication Service. Automatically configures roles of the Authentication Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Authentication Service.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureWithHttpInfo

          public ApiResponse<Void> autoConfigureWithHttpInfo()
                                                      throws ApiException

      Automatically configures roles of the Authentication Service. Automatically configures roles of the Authentication Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Authentication Service.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureAsync

          public com.squareup.okhttp.Call autoConfigureAsync(ApiCallback<Void> callback)
                                                      throws ApiException

      Automatically configures roles of the Authentication Service. (asynchronously) Automatically configures roles of the Authentication Service. <p> Overwrites some existing configurations. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores any clusters (and their services and roles) colocated with the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteCall

          public com.squareup.okhttp.Call deleteCall(ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for delete
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### delete

          public ApiService delete()
                            throws ApiException

      Delete the Authentication Service. Delete the Authentication Service. <p> This method will fail if a CMS instance doesn't already exist.
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteWithHttpInfo

          public ApiResponse<ApiService> deleteWithHttpInfo()
                                                     throws ApiException

      Delete the Authentication Service. Delete the Authentication Service. <p> This method will fail if a CMS instance doesn't already exist.
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAsync

          public com.squareup.okhttp.Call deleteAsync(ApiCallback<ApiService> callback)
                                               throws ApiException

      Delete the Authentication Service. (asynchronously) Delete the Authentication Service. <p> This method will fail if a CMS instance doesn't already exist.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public com.squareup.okhttp.Call enterMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode()
                                          throws ApiException

      Put the Authentication Service into maintenance mode. Put the Authentication Service into maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo()
                                                                   throws ApiException

      Put the Authentication Service into maintenance mode. Put the Authentication Service into maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public com.squareup.okhttp.Call enterMaintenanceModeAsync(ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Put the Authentication Service into maintenance mode. (asynchronously) Put the Authentication Service into maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public com.squareup.okhttp.Call exitMaintenanceModeCall(ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode()
                                         throws ApiException

      Take the Authentication Service out of maintenance mode. Take the Authentication Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo()
                                                                  throws ApiException

      Take the Authentication Service out of maintenance mode. Take the Authentication Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public com.squareup.okhttp.Call exitMaintenanceModeAsync(ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Take the Authentication Service out of maintenance mode. (asynchronously) Take the Authentication Service out of maintenance mode. This is a synchronous command. The result is known immediately upon return.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public com.squareup.okhttp.Call listActiveCommandsCall(String view,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for listActiveCommands
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String view)
                                            throws ApiException

      List active Authentication Service commands. List active Authentication Service commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String view)
                                                                     throws ApiException

      List active Authentication Service commands. List active Authentication Service commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public com.squareup.okhttp.Call listActiveCommandsAsync(String view,
                                                                  ApiCallback<ApiCommandList> callback)
                                                           throws ApiException

      List active Authentication Service commands. (asynchronously) List active Authentication Service commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listRoleTypesCall

          public com.squareup.okhttp.Call listRoleTypesCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for listRoleTypes
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listRoleTypes

          public ApiRoleTypeList listRoleTypes()
                                        throws ApiException

      List the supported role types for the Authentication Service. List the supported role types for the Authentication Service.
      Returns:
        ApiRoleTypeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listRoleTypesWithHttpInfo

          public ApiResponse<ApiRoleTypeList> listRoleTypesWithHttpInfo()
                                                                 throws ApiException

      List the supported role types for the Authentication Service. List the supported role types for the Authentication Service.
      Returns:
        ApiResponse<ApiRoleTypeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listRoleTypesAsync

          public com.squareup.okhttp.Call listRoleTypesAsync(ApiCallback<ApiRoleTypeList> callback)
                                                      throws ApiException

      List the supported role types for the Authentication Service. (asynchronously) List the supported role types for the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readServiceCall

          public com.squareup.okhttp.Call readServiceCall(ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readService
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readService

          public ApiService readService()
                                 throws ApiException

      Retrieve information about the Authentication Services. Retrieve information about the Authentication Services.
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceWithHttpInfo

          public ApiResponse<ApiService> readServiceWithHttpInfo()
                                                          throws ApiException

      Retrieve information about the Authentication Services. Retrieve information about the Authentication Services.
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceAsync

          public com.squareup.okhttp.Call readServiceAsync(ApiCallback<ApiService> callback)
                                                    throws ApiException

      Retrieve information about the Authentication Services. (asynchronously) Retrieve information about the Authentication Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readServiceConfigCall

          public com.squareup.okhttp.Call readServiceConfigCall(String view,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for readServiceConfig
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readServiceConfig

          public ApiServiceConfig readServiceConfig(String view)
                                             throws ApiException

      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiServiceConfig
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceConfigWithHttpInfo

          public ApiResponse<ApiServiceConfig> readServiceConfigWithHttpInfo(String view)
                                                                      throws ApiException

      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiServiceConfig>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readServiceConfigAsync

          public com.squareup.okhttp.Call readServiceConfigAsync(String view,
                                                                 ApiCallback<ApiServiceConfig> callback)
                                                          throws ApiException

      (asynchronously)
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### restartCommandCall

          public com.squareup.okhttp.Call restartCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for restartCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiCommand restartCommand()
                                    throws ApiException

      Restart the Authentication Service. Restart the Authentication Service.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiCommand> restartCommandWithHttpInfo()
                                                             throws ApiException

      Restart the Authentication Service. Restart the Authentication Service.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public com.squareup.okhttp.Call restartCommandAsync(ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Restart the Authentication Service. (asynchronously) Restart the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### setupCall

          public com.squareup.okhttp.Call setupCall(ApiService body,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for setup
      Parameters:
        `body` - Role configuration overrides. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### setup

          public ApiService setup(ApiService body)
                           throws ApiException

      Setup the Authentication Service. Setup the Authentication Service. <p> Configure the Auth Service instance with the information given in the ApiService. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a Auth Service instance already exists. <p> Available role types: <ul> <li>AUTHSRV</li> </ul>
      Parameters:
        `body` - Role configuration overrides. (optional)
      Returns:
        ApiService
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setupWithHttpInfo

          public ApiResponse<ApiService> setupWithHttpInfo(ApiService body)
                                                    throws ApiException

      Setup the Authentication Service. Setup the Authentication Service. <p> Configure the Auth Service instance with the information given in the ApiService. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a Auth Service instance already exists. <p> Available role types: <ul> <li>AUTHSRV</li> </ul>
      Parameters:
        `body` - Role configuration overrides. (optional)
      Returns:
        ApiResponse<ApiService>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setupAsync

          public com.squareup.okhttp.Call setupAsync(ApiService body,
                                                     ApiCallback<ApiService> callback)
                                              throws ApiException

      Setup the Authentication Service. (asynchronously) Setup the Authentication Service. <p> Configure the Auth Service instance with the information given in the ApiService. The provided configuration data can be used to set up host mappings for each role, and required configuration such as database connection information for specific roles. <p> This method needs a valid CM license to be installed beforehand. <p> This method does not start any services or roles. <p> This method will fail if a Auth Service instance already exists. <p> Available role types: <ul> <li>AUTHSRV</li> </ul>
      Parameters:
        `body` - Role configuration overrides. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public com.squareup.okhttp.Call startCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for startCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiCommand startCommand()
                                  throws ApiException

      Start the Authentication Service. Start the Authentication Service.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiCommand> startCommandWithHttpInfo()
                                                           throws ApiException

      Start the Authentication Service. Start the Authentication Service.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public com.squareup.okhttp.Call startCommandAsync(ApiCallback<ApiCommand> callback)
                                                     throws ApiException

      Start the Authentication Service. (asynchronously) Start the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public com.squareup.okhttp.Call stopCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for stopCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiCommand stopCommand()
                                 throws ApiException

      Stop the Authentication Service. Stop the Authentication Service.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiCommand> stopCommandWithHttpInfo()
                                                          throws ApiException

      Stop the Authentication Service. Stop the Authentication Service.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public com.squareup.okhttp.Call stopCommandAsync(ApiCallback<ApiCommand> callback)
                                                    throws ApiException

      Stop the Authentication Service. (asynchronously) Stop the Authentication Service.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateServiceConfigCall

          public com.squareup.okhttp.Call updateServiceConfigCall(String message,
                                                                  ApiServiceConfig body,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for updateServiceConfig
      Parameters:
        `message` - (optional)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateServiceConfig

          public ApiServiceConfig updateServiceConfig(String message,
                                                      ApiServiceConfig body)
                                               throws ApiException

      Parameters:
        `message` - (optional)
        `body` - (optional)
      Returns:
        ApiServiceConfig
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateServiceConfigWithHttpInfo

          public ApiResponse<ApiServiceConfig> updateServiceConfigWithHttpInfo(String message,
                                                                               ApiServiceConfig body)
                                                                        throws ApiException

      Parameters:
        `message` - (optional)
        `body` - (optional)
      Returns:
        ApiResponse<ApiServiceConfig>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateServiceConfigAsync

          public com.squareup.okhttp.Call updateServiceConfigAsync(String message,
                                                                   ApiServiceConfig body,
                                                                   ApiCallback<ApiServiceConfig> callback)
                                                            throws ApiException

      (asynchronously)
      Parameters:
        `message` - (optional)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.